/****************************************************************************
**  Cube callgraph plugin                                                  **
*****************************************************************************
**  Copyright (c) 2014                                                     **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef SVGVIEW_H
#define SVGVIEW_H

#include <QGraphicsView>
#include <QWheelEvent>
#include <QPaintEvent>
#include <QFile>
namespace callgraph_plugin
{
class SvgView : public QGraphicsView
{
    Q_OBJECT

public:
    SvgView( QWidget* parent = 0 );

    void
    openFile( QFile& file );

protected:
    void
    wheelEvent( QWheelEvent* event );

private:
    QGraphicsItem* svgItem;
    QImage         image;
};
}
#endif // SVGVIEW_H
