/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef SCOREPION_CONFIG_FILE_H
#define SCOREPION_CONFIG_FILE_H

#include <QString>

namespace scorepion_plugin
{
    
    namespace misc 
    {

        class ScorePionConfigFile
        {
            
        public:
            ScorePionConfigFile( QString & _path ) ;
            
            
            QString 
            getFilterFile() const
            {
                return filter_file;
            }
            
        private:
            
            QString path;
            
            QString 
            filter_file;
            
        };

    };
};


#endif
